Creates a new Fiber instance

- « Fiber

- Fiber::start »

- PHP Manual
- Fiber
- Creates a new Fiber instance

# Fiber::__construct

(PHP 8 >= 8.1.0)

Fiber::__construct — Creates a new Fiber instance

### Description

public Fiber::__construct(callable `$callback`)

### Parameters

`callback`

  The callable to invoke when starting the fiber. Arguments given to Fiber::start() will be provided as arguments to the given callable.